> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engrate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Control Areas

> List & filter control areas.

If you specify multiple values for some filter parameter they are OR-ed. If you specify multiple separate filters they are "AND"-ed.



## OpenAPI

````yaml /openapi.json get /core/v1/control-areas
openapi: 3.1.0
info:
  title: Engrate API
  version: 1.0.0
servers:
  - url: https://api.engrate.io
security:
  - apiKeyAuth: []
paths:
  /core/v1/control-areas:
    get:
      summary: List Control Areas
      description: >-
        List & filter control areas.


        If you specify multiple values for some filter parameter they are OR-ed.
        If you specify multiple separate filters they are "AND"-ed.
      operationId: list_control_areas_core_v1_control_areas_get
      parameters:
        - description: Filter by EIC code(s)
          in: query
          name: id
          required: false
          schema:
            default: []
            description: Filter by EIC code(s)
            items:
              type: string
            title: Id
            type: array
        - description: Filter by name or short name using substring matching
          in: query
          name: name
          required: false
          schema:
            default: []
            description: Filter by name or short name using substring matching
            items:
              type: string
            title: Name
            type: array
        - description: Filter by ISO 3166-1 alpha-2 country codes
          in: query
          name: country
          required: false
          schema:
            default: []
            description: Filter by ISO 3166-1 alpha-2 country codes
            examples:
              - DE
            items:
              type: string
            title: Country
            type: array
      responses:
        '200':
          content:
            application/json:
              example:
                control_areas:
                  - countries:
                      - DE
                    id: 10YDE-VE-------2
                    name: Germany 50Hertz
                    short_name: DE-50HERTZ
              schema:
                $ref: '#/components/schemas/GetControlAreasResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetControlAreasResponse:
      properties:
        control_areas:
          items:
            $ref: '#/components/schemas/ControlArea'
          title: Control Areas
          type: array
      required:
        - control_areas
      title: GetControlAreasResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ControlArea:
      description: >-
        A Control Area is a core domain concept in the European energy market.


        The [ENTSO-E Harmonized Electricity Market Role
        Model](https://www.entsoe.eu/data/cim/role-models/) defines a Control
        Area as:


        > A coherent part of the interconnected system, operated by a single
        System Operator and shall include connected physical loads and/or
        generation units if any.


        In other words, it is the grid a single TSO operates. It is distinct
        from the Scheduling Area, which is the area sharing one imbalance price.
        One good example is Germany, where a single Scheduling Area (DE/LU) is
        divided into four Control Areas — 50Hertz, Amprion, TenneT DE and
        TransnetBW.
      example:
        countries:
          - DE
        id: 10YDE-VE-------2
        name: Germany 50Hertz
        short_name: DE-50HERTZ
      properties:
        countries:
          description: ISO 3166-1 alpha-2 country codes this control area covers
          items:
            type: string
          title: Countries
          type: array
        id:
          description: EIC code identifying this control area
          title: Id
          type: string
        name:
          description: Full official name of the control area
          title: Name
          type: string
        short_name:
          description: Short display name for the control area
          title: Short Name
          type: string
      required:
        - countries
        - id
        - name
        - short_name
      title: ControlArea
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````